package domain


type AlibabaWdkShopQueryApiResults struct {
    /*
        返回门店信息列表     */
    Models  *[]AlibabaWdkShopQueryShopDo `json:"models,omitempty" `

    /*
        异常编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        异常信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        true     */
    Success  *string `json:"success,omitempty" `

}

func (s *AlibabaWdkShopQueryApiResults) SetModels(v []AlibabaWdkShopQueryShopDo) *AlibabaWdkShopQueryApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkShopQueryApiResults) SetErrCode(v string) *AlibabaWdkShopQueryApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkShopQueryApiResults) SetErrMsg(v string) *AlibabaWdkShopQueryApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkShopQueryApiResults) SetSuccess(v string) *AlibabaWdkShopQueryApiResults {
    s.Success = &v
    return s
}
